curl --request GET \
--url https://api.baselayer.com/people/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/people/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3605eec5-940f-4d54-9d48-da1cffe940ac",
"first_name": "John",
"last_name": "Doe",
"ssn": "XXXXX1234",
"created_at": "2025-01-15T12:00:00Z",
"middle_name": "Michael",
"phone_number": "+17075489914",
"email": "johndoe@example.com",
"date_of_birth": "1990-01-15",
"gender": "M",
"marital_status": "married",
"suffix": "Jr.",
"title": "Mr.",
"updated_at": "2025-01-15T12:00:00Z",
"dockets": [],
"liens": [],
"watchlist_hits": []
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get Person
Authorizations
Path Parameters
Response
Successful Response
The unique identifier of the person
"3605eec5-940f-4d54-9d48-da1cffe940ac"
The first name of the person
"John"
"Jane"
The last name of the person
"Doe"
"Smith"
The social security number of the person
"XXXXX1234"
When the person record was created
"2025-01-15T12:00:00Z"
The middle name of the person
"Michael"
The phone number of the person in E164 format
"+17075489914"
The email address of the person
"johndoe@example.com"
The date of birth of the person
"1990-01-15"
The gender of the person
M, F "M"
The marital status of the person
married, single, divorced, widowed, separated, domestic_partner, civil_union, other "married"
The suffix of the person
"Jr."
The title of the person
"Mr."
When the person record was last updated
"2025-01-15T12:00:00Z"
The dockets associated with the person
Show child attributes
Show child attributes
The liens associated with the person
Show child attributes
Show child attributes
The watchlist hits associated with the person.
Show child attributes
Show child attributes